<template>
  <div class="custom-crud-page">
    <el-bus-crud ref="crud" v-bind="crudConfig"></el-bus-crud>
  </div>
</template>

<script>
export default {
  data() {
    return {
      crudConfig: {
        url: 'flower/v2/district-gaode/list',
        newUrl: 'flower/v2/district-gaode',
        viewUrl: 'flower/v2/district-gaode',
        viewOnPath: true,
        editUrl: 'flower/v2/district-gaode',
        editMethodType: 'put',
        editOnPath: true,
        deleteUrl: 'flower/v2/district-gaode',
        deleteMethodType: 'delete',
        deleteOnPath: true,
        hasPagination: false,
        saveQuery: false,
        isTree: true,
        hasView: false,
        hasOperation:true,
        hasNew:true,
        deleteMessage: () => '此操作将会删除所有子区划, 是否继续？',
        beforeOpen(row, isNew) {
          if (isNew && row.name) {
            row.parentName = row.name
          }
          if (!isNew) {
            row.parentName = ''
          }
        },
        extraParentKeys: ['parentName'],
        tableAttrs: {
          rowKey: 'id',
          lazy:true,
          load: (row, resolve) => {
            alert(1)
          },
        },
        columns: [
          { label: '名称', prop: 'name' },
          {label: '区域编码',prop: 'adcode',},
          {label: '行政区划级别',prop: 'level',},
          {label: '城市编码',prop: 'citycode',},
          {label: '区域中心点',prop: 'center',},
        ],
        form: [
          {
            label: '父级节点：',
            id: 'parentName',
            type: 'input',
            readonly: true,
            hidden: (row) => !row.parentName,
          },
          {
            label: '名称：',
            id: 'name',
            type: 'input',
            el: { placeholder: '请输入名称：' },
            rules: { required: true, message: '请输入名称：', trigger: 'blur' },
          },
          {
            label: '区域编码：',
            id: 'adcode',
            type: 'input',
            el: {
              min: 0,
              precision: 0,
              controlsPosition: 'right',
              placeholder: '请输入区域编码：',
            },
            rules: { required: true, message: '请输入区域编码', trigger: 'blur' },
          },
          {
            label: '城市编码',
            id: 'citycode',
            type: 'input',
            el: {
              min: 0,
              precision: 0,
              controlsPosition: 'right',
              placeholder: '请输入城市编码：',
            },
          },
          
          {
            label: '区域中心点',
            id: 'center',
            type: 'input',
            el: { placeholder: '请输入区域中心点' },
         
          },
          {
            label: '行政区划级别',
            id: 'level',
            type: 'input',
            el: { placeholder: '请输入行政区划级别' },
          },
        ],
      },
    }
  },
  head() {
    return {
      title: '高德行政区划管理',
    }
  },
}
</script>
